Skip to content

Delete card limits

Request

Delete card spend limits for a specific granularity.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

cardTokenstringrequired

The card token.

granularitystringrequired

The limit granularity to delete.

Enum:"transaction""daily""monthly""lifetime"
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X DELETE \
  'https://api.wise.com/v4/spend/profiles/{profileId}/cards/{cardToken}/spend-limits/{granularity}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Updated card spend limits. See Retrieve card limits.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content